import React, { useState } from 'react'

import ButtonPrimary from './components/controls/ButtonPrimary'
import Popup from './Popup';

import { FormLogin, FormLoginTitle } from './components/forms/FormLogin'


const App = () => {
  const [popup, setPopup] = useState('')
  const [popupOpened, setPopupOpened] = useState(false)

  const openPopup = (popupCode) => {
    setPopup(popupCode)
    setPopupOpened(true)
  }

  const closePopup = () => {
    setPopupOpened(false)
  }

  let popupForm = null
  let popupTitle = null

  switch (popup) {
    case 'login':
      popupTitle = FormLoginTitle
      popupForm = <FormLogin closePopup={closePopup} />
      break
    default:
      popupTitle = null
      popupForm = null
  }

  return (
    <>
      <div className="w-full h-full min-h-screen bg-blue-900">
        <div className="max-w-lg mx-auto py-8">
          <ButtonPrimary text="Login" action={() => openPopup('login')} />
        </div>
      </div>
      <Popup opened={popupOpened} title={popupTitle} close={closePopup}>{popupForm}</Popup>
    </>
  )
}

export default App;
