import React from 'react'
import { Field, ErrorMessage } from 'formik'
import FormikControlErrorMessage from '../FormikControlErrorMessage'
import newId from '../../../utils/newId';

function FormikControlString(props) {
    const { label, name, ...rest } = props
    const htmlId = newId()
    return (
        <div className="mt-4 mb-2">
            <label htmlFor={htmlId} className="form-control block text-lg text-gray-800 py-1">
                <span className="text-gray-700">{label}</span>
                <Field type="text" id={htmlId} name={name} {...rest} className="form-input mt-1 block w-full text-center tracking-widest" />
                <ErrorMessage component={FormikControlErrorMessage} name={name} />
            </label>
        </div>
    )
}

export default FormikControlString
