import React from 'react'

function PrimaryButton({type, text, action, disabled}) {
    return <>
        <button
            type={type||'button'}
            className="
                appearance-none
                flex
                relative
                w-full
                p-3
                border-0
                rounded-md
                border-primary-dark
                bg-primary-dark
                text-white
                cursor-pointer
                shadow-md
                hover:bg-primary-light
                focus:bg-primary-light
                focus:outline-none
                active:shadow-inner
                active:bg-primary-dark
                active:transform
                active:translate-y-px
                disabled:bg-primary-dark
                disabled:opacity-50
                disabled:shadow-md
                disabled:translate-y-0
                disabled:cursor-not-allowed
            "
            onClick={action}
            disabled={disabled}
        >
            <div className="sm:text-lg flex-grow text-center px-6">{text||'Primary Button'}</div>
        </button>
    </>
}
export default PrimaryButton
