import React from 'react'
import { Formik, Form } from 'formik'
import * as Yup from 'yup'
import FormikControl from '../FormikControls'
import ButtonPrimary from '../controls/ButtonPrimary'
import ButtonSecondary from '../controls/ButtonSecondary'

export const FormLoginTitle = 'Authentication'

export const FormLogin = () => {

    const initialValues = {
        login: '',
        password: '',
        remember_me: false,
    }

    const validationSchema = Yup.object({
        login: Yup.string()
            .required('Required'),
        password: Yup.string()
            .required('Required'),
    })

    const onSubmit = async values => {
        console.log('Form data', values)
    }

    const goRegistration = () => {
        console.log('goRegistration')
    }

    return (
        <Formik
            initialValues={initialValues}
            validationSchema={validationSchema}
            onSubmit={onSubmit}
        >
            {formik => {
                return (
                    <Form>
                        <div className="overflow-y-auto max-screen--mt-12 p-3">
                            <FormikControl
                                control='string'
                                name='login'
                                label='Login'
                                placeholder='Enter Login'
                            />
                            <FormikControl
                                control='password'
                                name='password'
                                label='Password'
                                placeholder='Enter Password'
                            />
                            <div className="flex flex-col xs:flex-row justify-between items-center xs:items-start">
                                <div>
                                <FormikControl
                                    control='checkbox'
                                    name='remember_me'
                                    label='Remember Me'
                                />
                                </div>
                            </div>
                        </div>
                        <div className="p-3 border-t border-gray-400">
                            <ButtonPrimary type="submit" text="LogIn" disabled={!formik.isValid || !formik.dirty} />
                            <div className="my-3">
                                <ButtonSecondary type="button" text="SignIn" action={goRegistration} />
                            </div>
                        </div>
                    </Form>
                )
            }}
        </Formik>
    )
}
